#include "antlrutilities.hpp"

namespace antlrutils
{
    pANTLR3_BASE_TREE getChild(pANTLR3_BASE_TREE tree, unsigned int i)
    {
        return (pANTLR3_BASE_TREE) tree->getChild(tree, i);
    }

    std::string getText(pANTLR3_BASE_TREE tree)
    {
        std::string str = (const char*) tree->getText(tree)->chars;
        return str;
    }

    bool foreachChildDo(pANTLR3_BASE_TREE tree, std::function<bool (pANTLR3_BASE_TREE)>& parser)
    {
        int numChildren = tree->getChildCount(tree);
        bool res = true;
        for(int i = 0; i < numChildren; ++i)
            res &= parser(getChild(tree, i));

        return res;
    }

//    std::vector<std::shared_ptr<gdsl::IlpExprList>> foreachChildDo(pANTLR3_BASE_TREE tree, std::function<std::shared_ptr<gdsl::IlpExprList> (pANTLR3_BASE_TREE)>& parser)
//    {
//        int numChildren = tree->getChildCount(tree);
//        std::vector<std::shared_ptr<gdsl::IlpExprList>> res;
//        for(int i = 0; i < numChildren; ++i)
//            res.push_back(parser(getChild(tree, i)));

//        return res;
//    }

//    bool foreachChildDo(pANTLR3_BASE_TREE tree,std::function<bool (pANTLR3_BASE_TREE)>& parser)
//    {
//        int numChildren = tree->getChildCount(tree);
//        bool res = true;
//        for(int i = 0; i < numChildren; ++i)
//            res &= parser(getChild(tree, i), name);

//        return res;
//    }

}
