#ifndef SUMEXPR_HPP
#define SUMEXPR_HPP

#include "gdsleqexpr.hpp"

namespace gdsl
{
class SumExpr : public GDSLEqExpr
{
public:
    SumExpr() {}
    SumExpr(pANTLR3_BASE_TREE tree, GDSLVariable::GDSLVarTable& vars) {parseFromTree(tree, vars);}

    bool parseFromTree(pANTLR3_BASE_TREE tree, GDSLVariable::GDSLVarTable& vars);
    void eval(GDSLVariable::GDSLVarTable& scope, ConstantsMap& constants, EquationList& constraints, std::shared_ptr<RandomAccessGraph> attr, std::shared_ptr<Grid> grid);

    std::string toString() const {return "";}

    std::shared_ptr<IlpExprList> eval(GDSLVariable::GDSLVarTable &scope, ConstantsMap& constants, std::shared_ptr<RandomAccessGraph> attr, std::shared_ptr<Grid> grid);

    void clear() {m_evaled = false;}

private:
    bool m_evaled;
    pANTLR3_BASE_TREE m_tree;
};
}
#endif // SUMEXPR_HPP
