#ifndef GDSLEXCEPTION_HPP
#define GDSLEXCEPTION_HPP

#include <exception>
#include <string>
#include <sstream>

class GDSLException : public std::exception
{
public:
    GDSLException(std::string error) noexcept {m_errorString = error;}

    virtual const char* what() const noexcept = 0;

protected:
    std::string m_errorString;
};

#endif // GDSLEXCEPTION_HPP
