#ifndef GRID_HPP
#define GRID_HPP

#include <string>
#include <sstream>

namespace gdsl
{
class Grid
{
public:
    Grid() {m_x = 0; m_y = 0;}
    Grid(int x, int y) {m_x = x; m_y = y;}
    ~Grid() {}

    int dimensions() const;
    int x() const {return m_x;}
    int y() const {return m_y;}

    std::string toString() const
    {
        std::stringstream ss;
        ss << m_x << " x " << m_y;

        return ss.str();
    }

private:
    int m_x;
    int m_y;
};
}
#endif // GRID_HPP
