#include "ilpexprlist.hpp"

using namespace gdsl;

bool IlpExprList::isNumber() const
{
    if(m_exprs.size() == 1 && m_exprs[0]->isNumber())
        return true;

    return false;
}

std::string IlpExprList::toString() const
{
    std::stringstream ss;

    for(auto expr : m_exprs)
        ss << expr->toString() << "\n";

    return ss.str();
}
