#ifndef PARSEEXCEPTION_HPP
#define PARSEEXCEPTION_HPP

#include "gdslexception.hpp"

namespace gdsl
{
class ParseException : public GDSLException
{
public:
    ParseException(std::string error, int line) noexcept : GDSLException(error)  {m_line = line;}
    ~ParseException() {}

    const char* what() const noexcept;

private:
    int m_line;
};
}
#endif // PARSEEXCEPTION_HPP
