#ifndef GDSLCONSTANTSWIDGET_HPP
#define GDSLCONSTANTSWIDGET_HPP

#include <QWidget>
#include <iostream>

namespace Ui {
class GDSLConstantsWidget;
}

class GDSLConstantsWidget : public QWidget
{
    Q_OBJECT

    typedef QPair<QString, QString> Constant;

public:
    explicit GDSLConstantsWidget(QWidget *parent = 0);
    ~GDSLConstantsWidget();

    QVector<QString> preProcessorStrings() const;
    void reset();
    void addConstant(const QString& name, const QString& value);

private slots:
    void on_addButton_clicked();

    void on_pushButton_clicked();

private:
    Ui::GDSLConstantsWidget *ui;
};

#endif // GDSLCONSTANTSWIDGET_HPP
