#ifndef GRAPHPREVIEW_HPP
#define GRAPHPREVIEW_HPP

#include <QWidget>

#include <memory>

#include "ogdf/basic/GraphAttributes.h"

namespace Ui {
class GraphPreview;
}

class GraphPreview : public QWidget
{
    Q_OBJECT

public:
    explicit GraphPreview(QWidget *parent = 0);
    ~GraphPreview();

    void previewGraph(std::shared_ptr<ogdf::GraphAttributes> attr);

private:
    Ui::GraphPreview *ui;

    std::shared_ptr<ogdf::GraphAttributes> m_attr;
};

#endif // GRAPHPREVIEW_HPP
