#include "intedit.hpp"
#include "ui_intedit.h"

IntEdit::IntEdit(QString& label, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::IntEdit)
{
    ui->setupUi(this);

    ui->label->setText(label);
}

IntEdit::~IntEdit()
{
    delete ui;
}

QString IntEdit::label() const
{
    return ui->label->text();
}

int IntEdit::value() const
{
    return ui->spinBox->value();
}
