#ifndef QCROSSITEM_HPP
#define QCROSSITEM_HPP

#include <QGraphicsItem>
#include <QPainter>

#include <QDebug>

class QCrossItem : public QGraphicsItem
{
public:
    QCrossItem(QRectF& box, QPen pen = QPen(), QGraphicsItem *parent = 0);
    ~QCrossItem() {}

    QRectF boundingRect() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *, QWidget *);

private:
    float m_right;
    float m_bottom;
    QPen m_pen;
};

#endif // QCROSSITEM_HPP
