#ifndef antlrutilities_hpp
#define antlrutilities_hpp 1

#include <string>
#include <functional>

#include "GDSLGrammarParser.h"
#include "GDSLGrammarLexer.h"

#include "ilp/ilpequation.hpp"
#include "ilp/ilpexpr.hpp"
#include "ilp/ilpexprlist.hpp"

namespace antlrutils
{
    pANTLR3_BASE_TREE getChild(pANTLR3_BASE_TREE tree, unsigned int i);
    std::string getText(pANTLR3_BASE_TREE tree);
    bool foreachChildDo(pANTLR3_BASE_TREE tree, std::function<bool (pANTLR3_BASE_TREE)>& parser);
//    bool foreachChildDo(pANTLR3_BASE_TREE tree, std::string &name, std::function<bool (pANTLR3_BASE_TREE, std::string&)>& parser);
//    std::shared_ptr<gdsl::IlpExprList> foreachChildDo(pANTLR3_BASE_TREE tree, std::function<std::shared_ptr<gdsl::IlpExprList> (pANTLR3_BASE_TREE)>& parser);
//    bool foreachChildDo(pANTLR3_BASE_TREE tree, std::function<void (pANTLR3_BASE_TREE)> &parser);
}

#endif // antlrutilities_hpp
