#ifndef GDSLEQEXPR_HPP
#define GDSLEQEXPR_HPP

#include "gdslexpr.hpp"
#include "../ilp/ilpequation.hpp"

namespace gdsl
{
class GDSLEqExpr : public GDSLExpr
{
public:
    virtual std::shared_ptr<IlpExprList> eval(GDSLVariable::GDSLVarTable& scope, ConstantsMap& constants, std::shared_ptr<RandomAccessGraph> attr,
                                              std::shared_ptr<Grid> grid) = 0;
};
}

#endif // GDSLEQEXPR_HPP
