#ifndef OUTOFBOUNDSEXCEPTION_HPP
#define OUTOFBOUNDSEXCEPTION_HPP

#include "gdslexception.hpp"

namespace gdsl
{
class OutOfBoundsException : public GDSLException
{
public:
    OutOfBoundsException(std::string error) noexcept : GDSLException(error) {}
    ~OutOfBoundsException() {}

    const char* what() const noexcept;
};
}

#endif // OUTOFBOUNDSEXCEPTION_HPP
