//#ifndef GDSLNULLRESTRICTION_HPP
//#define GDSLNULLRESTRICTION_HPP

//#include "gdslattributerest.hpp"

//namespace gdsl
//{

//class GDSLSingleNodeRest;
//class GDSLSingleEdgeRest;

//class GDSLNullRestriction : public GDSLAttributeRest
//{
//public:
//    GDSLNullRestriction(RestrictionType type) : GDSLAttributeRest(type) {}
//    GDSLNullRestriction(pANTLR3_BASE_TREE tree, GDSLVarTable& scope, RestrictionType type) : GDSLAttributeRest(type) {parseFromTree(tree, scope);}
//    GDSLNullRestriction(std::shared_ptr<GDSLRange> range) : GDSLAttributeRest(range) {}

//    bool parseFromTree(pANTLR3_BASE_TREE tree, GDSLVarTable& scope) {return true;}
//    bool isSubset(const std::shared_ptr<GDSLRestriction> &rest) const {return true;}
//    virtual std::shared_ptr<GDSLRestriction> singleRestAt(GDSLRangeIterator &it) const = 0;
//    virtual bool apply(GDSLVarTable& scope, ConstantsMap& constants, std::shared_ptr<RandomAccessGraph> &attr, std::shared_ptr<Grid> &grid) = 0;

//    std::string toString() const;

//protected:
//    void evalMathExpr(GDSLVarTable &scope, ConstantsMap& constants, std::shared_ptr<RandomAccessGraph> &attr, std::shared_ptr<Grid> &grid) {return;}
//};

//class GDSLNodeNullRest : public GDSLNullRestriction
//{
//public:
//    GDSLNodeNullRest() {}
//    GDSLNodeNullRest(pANTLR3_BASE_TREE tree, GDSLVarTable& scope) : GDSLNullRestriction(tree, scope) {}
//    GDSLNodeNullRest(std::shared_ptr<GDSLRange> range) : GDSLNullRestriction(range) {}

//    std::shared_ptr<GDSLRestriction> singleRestAt(GDSLRangeIterator &it) const;
//    bool apply(GDSLVarTable& scope, ConstantsMap& constants, std::shared_ptr<RandomAccessGraph> &attr, std::shared_ptr<Grid> &grid);
//    std::string toString() const;

//    RestrictionType type() const {return RestrictionType::NODEREST;}
//};

//class GDSLEdgeNullRest : public GDSLNullRestriction
//{
//public:
//    GDSLEdgeNullRest() {}
//    GDSLEdgeNullRest(pANTLR3_BASE_TREE tree, GDSLVarTable& scope) : GDSLNullRestriction(tree, scope) {}
//    GDSLEdgeNullRest(std::shared_ptr<GDSLRange> range) : GDSLNullRestriction(range) {}

//    std::shared_ptr<GDSLRestriction> singleRestAt(GDSLRangeIterator &it) const;
//    bool apply(GDSLVarTable& scope, ConstantsMap& constants, std::shared_ptr<RandomAccessGraph> &attr, std::shared_ptr<Grid> &grid);
//    std::string toString() const;

//    RestrictionType type() const {return RestrictionType::EDGEREST;}
//};

//class GDSLObjectNullRest : public GDSLNullRestriction
//{
//public:
//    GDSLObjectNullRest() {}
//    GDSLObjectNullRest(pANTLR3_BASE_TREE tree, GDSLVarTable& scope) : GDSLNullRestriction(tree, scope) {}
//    GDSLObjectNullRest(std::shared_ptr<GDSLRange> range) : GDSLNullRestriction(range) {}

//    std::shared_ptr<GDSLRestriction> singleRestAt(GDSLRangeIterator &it) const;
//    bool apply(GDSLVarTable& scope, ConstantsMap& constants, std::shared_ptr<RandomAccessGraph> &attr, std::shared_ptr<Grid> &grid);
//    std::string toString() const;

//    RestrictionType type() const {return RestrictionType::OBJECTREST;}
    
//    int pos(std::shared_ptr<GDSLRestriction> rest) const;

//private:
//    int m_numNodes = 0;
//};

//class GDSLSingleNodeRest : public GDSLNullRestriction
//{
//public:
//    GDSLSingleNodeRest() {}
//    GDSLSingleNodeRest(pANTLR3_BASE_TREE tree, GDSLVarTable& scope) : GDSLNullRestriction(tree, scope) {}
//    GDSLSingleNodeRest(std::shared_ptr<GDSLRange> range) : GDSLNullRestriction(range) {}

//    std::shared_ptr<GDSLRestriction> singleRestAt(GDSLRangeIterator &it) const;
//    bool apply(GDSLVarTable& scope, ConstantsMap& constants, std::shared_ptr<RandomAccessGraph> &attr, std::shared_ptr<Grid> &grid) {return true;}

//    RestrictionType type() const {return RestrictionType::NODEREST;}
//};

//class GDSLSingleEdgeRest : public GDSLNullRestriction
//{
//public:
//    GDSLSingleEdgeRest() {}
//    GDSLSingleEdgeRest(pANTLR3_BASE_TREE tree, GDSLVarTable& scope) : GDSLNullRestriction(tree, scope) {}
//    GDSLSingleEdgeRest(std::shared_ptr<GDSLRange> range) : GDSLNullRestriction(range) {}

//    std::shared_ptr<GDSLRestriction> singleRestAt(GDSLRangeIterator &it) const;
//    bool apply(GDSLVarTable &scope, ConstantsMap& constants, std::shared_ptr<RandomAccessGraph> &attr, std::shared_ptr<Grid> &grid) {return true;}

//    RestrictionType type() const {return RestrictionType::EDGEREST;}
//};
//}
//#endif // GDSLNULLRESTRICTION_HPP
