#ifndef INTSTMT_HPP
#define INTSTMT_HPP

#include "valuestmt.hpp"

namespace gdsl
{
class IntStmt : public ValueStmt
{
public:
    IntStmt(std::string name) :
        ValueStmt(name)
    {}

    virtual void setValue(const std::string &value) {m_value = PPUtils::toInt(value);}
    virtual int value() const {return m_value;}
    virtual RET_TYPE returnType() const {return RET_TYPE::PPINT;}

private:
    int m_value;
};
}

#endif // INTSTMT_HPP
