#include "booledit.hpp"
#include "ui_booledit.h"

BoolEdit::BoolEdit(QString& label, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::BoolEdit)
{
    ui->setupUi(this);
    ui->label->setText(label);

    ui->comboBox->insertItem(0, tr("true"), true);
    ui->comboBox->insertItem(1, tr("false"), false);
}

BoolEdit::~BoolEdit()
{
    delete ui;
}

QString BoolEdit::label() const
{
    return ui->label->text();
}

bool BoolEdit::value() const
{
    return ui->comboBox->currentData().toBool();
}
