#ifndef GENERALSETTINGS_HPP
#define GENERALSETTINGS_HPP

#include <QWidget>
#include <QSettings>
#include <QFileDialog>

namespace Ui {
class GeneralSettings;
}

class GeneralSettings : public QWidget
{
    Q_OBJECT

public:
    explicit GeneralSettings(QWidget *parent = 0);
    ~GeneralSettings();

    void apply();
    void readSettings();

private slots:
    void on_graphDirButton_clicked();

    void on_programDirButton_clicked();

private:
    Ui::GeneralSettings *ui;
};

#endif // GENERALSETTINGS_HPP
