#include "myqgraphicsview.hpp"

MyQGraphicsView::MyQGraphicsView(QWidget *parent) :
    QGraphicsView(parent)
{
}

void MyQGraphicsView::wheelEvent(QWheelEvent* event) {

    setTransformationAnchor(QGraphicsView::AnchorUnderMouse);

    double scaleFactor = 1.15;
    if(event->delta() > 0 && event->modifiers() == Qt::ControlModifier)
            scale(scaleFactor, scaleFactor);
    else if(event->modifiers() == Qt::ControlModifier)
            scale(1.0/scaleFactor, 1.0/scaleFactor);
    else
        QGraphicsView::wheelEvent(event);
}
