#include "nameedit.hpp"
#include "ui_nameedit.h"

NameEdit::NameEdit(QString& label, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::NameEdit)
{
    ui->setupUi(this);
    ui->label->setText(label);
}

NameEdit::~NameEdit()
{
    delete ui;
}

QString NameEdit::label() const
{
    return ui->label->text();
}

QString NameEdit::name() const
{
    return ui->lineEdit->text();
}
