#ifndef RESULTTABS_HPP
#define RESULTTABS_HPP

#include <QLabel>
#include <QTabWidget>

#include <exception>

#include "gdsldisplayresult.hpp"

class ResultTabs : public QTabWidget
{
    Q_OBJECT
public:
    explicit ResultTabs(QWidget *parent = 0);

    void exportCurrentTab(QPainter *painter);
    int addResult(GDSLDisplayResult *result, const QString& title);
    int addError(const QString& error, const QString& title);

private:
    QMap<int, GDSLDisplayResult*> m_resMap;

signals:

public slots:

};

#endif // RESULTTABS_HPP
